% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methods.R
\name{join_features}
\alias{join_features}
\title{Add differential featureion information to a tbl using edgeR.}
\usage{
join_features(
  .data,
  features = NULL,
  all = FALSE,
  exclude_zeros = FALSE,
  shape = "long",
  ...
)
}
\arguments{
\item{.data}{A tidy SingleCellExperiment object}

\item{features}{A vector of feature identifiers to join}

\item{all}{If TRUE return all}

\item{exclude_zeros}{If TRUE exclude zero values}

\item{shape}{Format of the returned table "long" or "wide"}

\item{...}{Parameters to pass to join wide, i.e. assay name to extract feature abundance from}
}
\value{
A \code{tbl} containing the information.for the specified features
}
\description{
join_features() extracts and joins information for specific
features
}
\details{
\lifecycle{experimental}

This function extracts information for specified features and
returns the information in either long or wide format.
}
\examples{

tidySingleCellExperiment::pbmc_small \%>\%

    join_features(features=c("HLA-DRA", "LYZ"))
}
